GNU bug report logs - #16545
24.3.50; Patch to coalesce calls to linum-update-current

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Severity: minor; Reported by: Chow Loong Jin <hyperair@HIDDEN>; Keywords: patch; dated Sat, 25 Jan 2014 07:59:01 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.

Message received at 16545 <at> debbugs.gnu.org:


Received: (at 16545) by debbugs.gnu.org; 28 Jan 2014 03:13:35 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jan 27 22:13:35 2014
Received: from localhost ([127.0.0.1]:38611 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1W7z7H-0007Pr-11
	for submit <at> debbugs.gnu.org; Mon, 27 Jan 2014 22:13:35 -0500
Received: from mail-pa0-f52.google.com ([209.85.220.52]:38002)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <hyperair@HIDDEN>) id 1W7z7E-0007Pi-EZ
 for 16545 <at> debbugs.gnu.org; Mon, 27 Jan 2014 22:13:33 -0500
Received: by mail-pa0-f52.google.com with SMTP id bj1so6740623pad.39
 for <16545 <at> debbugs.gnu.org>; Mon, 27 Jan 2014 19:13:31 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
 h=sender:date:from:to:cc:subject:message-id:references:mime-version
 :content-type:content-disposition:in-reply-to:user-agent;
 bh=y8LDOWzITxxFZ/Eeu/xzOf5Qr8z80/GVpl6neGjbNpo=;
 b=JQxZA69GsVogCd58dKPOJmAGLADfXvGv5w4kMRGpHplWnjsCu4DsGDA9rgJqtXGvQi
 fzp+RbpwzgojXfmdwcg9+QdMUZyRkV6YnchRefdXEyCxy3tL4QmilIbCwUnNQwnXj+xK
 L77IYS+IipDax1WedVHH0zmI+JF/Lr44avlRqBIQGWOv2mcvrNoLS/6Zv+eH8yETjGUw
 WFY0rh8p42L1F4laI6LedQirxITQV/T82ySg1oUGVGtN1xmydThM3BrptAO3kNaVqwpR
 Q7QEtELaI3s5Hq97VM5MvZDCgpPShLddIMlBVhsKUZNgHIAV27iKREniabSd/nZfj3uZ
 Scww==
X-Received: by 10.68.75.9 with SMTP id y9mr33978973pbv.61.1390878811491;
 Mon, 27 Jan 2014 19:13:31 -0800 (PST)
Received: from gmail.com (bb220-255-137-219.singnet.com.sg. [220.255.137.219])
 by mx.google.com with ESMTPSA id
 xs1sm99314558pac.7.2014.01.27.19.13.28 for <multiple recipients>
 (version=TLSv1.2 cipher=RC4-SHA bits=128/128);
 Mon, 27 Jan 2014 19:13:30 -0800 (PST)
Date: Tue, 28 Jan 2014 11:13:27 +0800
From: Chow Loong Jin <hyperair@HIDDEN>
To: Stefan Monnier <monnier@HIDDEN>
Subject: Re: bug#16545: 24.3.50; Patch to coalesce calls to
 linum-update-current
Message-ID: <20140128031327.GA24220@HIDDEN>
References: <20140125075737.GA1843@thinkpwn> <dt38kbmtfi.fsf@HIDDEN>
 <20140127044038.GA10870@HIDDEN>
 <jwv61p5h5el.fsf-monnier+emacsbugs@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; micalg=pgp-sha1;
 protocol="application/pgp-signature"; boundary="CE+1k2dSO48ffgeK"
Content-Disposition: inline
In-Reply-To: <jwv61p5h5el.fsf-monnier+emacsbugs@HIDDEN>
User-Agent: Mutt/1.5.21 (2010-09-15)
X-Spam-Score: 2.1 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has
 identified this incoming email as possible spam.  The original message
 has been attached to this so you can view it (if it isn't spam) or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  On Mon, Jan 27, 2014 at 09:29:57AM -0500,
 Stefan Monnier wrote:
 > > P.S. I hope nlinum.el in its current state does not replace > > linum.el
 -- neither global-nlinum-mode nor nlinum-relative seem to > > exist for this
 just yet. > > nlinum.el in the `elpa' branch does include global-nlinum-mode
 (it was > trivial to define). [...] 
 Content analysis details:   (2.1 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 2.8 FSL_HELO_FAKE          FSL_HELO_FAKE
 0.0 FREEMAIL_FROM Sender email is commonly abused enduser mail provider
 (hyperair[at]gmail.com)
 -0.7 RCVD_IN_DNSWL_LOW      RBL: Sender listed at http://www.dnswl.org/, low
 trust [209.85.220.52 listed in list.dnswl.org]
 -0.0 SPF_PASS               SPF: sender matches SPF record
 0.0 T_DKIM_INVALID         DKIM-Signature header exists but is not valid
X-Debbugs-Envelope-To: 16545
Cc: Glenn Morris <rgm@HIDDEN>, 16545 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 2.1 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org", has
 identified this incoming email as possible spam.  The original message
 has been attached to this so you can view it (if it isn't spam) or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  On Mon, Jan 27, 2014 at 09:29:57AM -0500, Stefan Monnier wrote:
    > > P.S. I hope nlinum.el in its current state does not replace > > linum.el
    -- neither global-nlinum-mode nor nlinum-relative seem to > > exist for this
    just yet. > > nlinum.el in the `elpa' branch does include global-nlinum-mode
    (it was > trivial to define). [...] 
 
 Content analysis details:   (2.1 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.7 RCVD_IN_DNSWL_LOW      RBL: Sender listed at http://www.dnswl.org/, low
                             trust
                             [209.85.220.52 listed in list.dnswl.org]
  2.8 FSL_HELO_FAKE          FSL_HELO_FAKE
  0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail provider
                             (hyperair[at]gmail.com)
 -0.0 SPF_PASS               SPF: sender matches SPF record
  0.0 T_DKIM_INVALID         DKIM-Signature header exists but is not valid


--CE+1k2dSO48ffgeK
Content-Type: text/plain; charset=us-ascii
Content-Disposition: inline
Content-Transfer-Encoding: quoted-printable

On Mon, Jan 27, 2014 at 09:29:57AM -0500, Stefan Monnier wrote:
> > P.S. I hope nlinum.el in its current state does not replace
> > linum.el -- neither global-nlinum-mode nor nlinum-relative seem to
> > exist for this just yet.
>=20
> nlinum.el in the `elpa' branch does include global-nlinum-mode (it was
> trivial to define).

Odd, I didn't see it yesterday when I installed it. Looks like it's there a=
fter
I reinstalled it today.

--=20
Kind regards,
Loong Jin

--CE+1k2dSO48ffgeK
Content-Type: application/pgp-signature; name="signature.asc"
Content-Description: Digital signature

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.14 (GNU/Linux)

iQIcBAEBAgAGBQJS5yBSAAoJEPvVIltYh1KhyUEP/RKtvZLg+R4nYEIVzMQImaGu
1fYs3b+zlJny2w1VJ/sFSEAD8x1kbWAugVi5ib86Wnueojpi7NRkt38iX3dCD4M3
Fbcg9gU/Y4nSVwj/WrVsHUN9icNYUeIGunm1b2rf3/DmYLA/mDVBfcewvPgFA3kq
OMZQ2x3OhXsHJGKZQKhPUMqxVCM7P+0p+bJIjlniZ1C4YFLvzf1aoVlx0+3cxcV6
Pa6Yyyz9K72MfIOS4NcJ4o67IPh+I5u/XSGmZp6E6lfCqsLHXnjANS+V9v50L0EV
aGpYuV8CMAm9J86ydo5HlYLqCGP4rMu7hu0bSyoAFuOTbFY6Y/Xb20YEnTwXWAbZ
L4aifDMG6Rh36JLSLL/uxCsA890K4r3+0Irab01OGRtP+NxdtE18DbQ4cBGJpJ1/
bDyca0mMsyCO+OADnO/t8s479TpqKNGt6TqhtBlop3HEvf4SHGCsS3xCf1iYRIDh
3+c0QuQjYj78WP71YKTk55Pl4mijG8d5CLHgNQj+gFIgTzqwwWJ0UjfWjgp7XpnF
bNPAcxxOYO30s78qG7M1Am/Q8O5yyauHdrWyGSM/fjX+jonnTo9ArN6nPLtbrwpx
L+Ji8StrGUamhS8uou9ZWZYftJiH5xjwLSF8DnOG52iEMQA4HJED2ZYvs+jJPMgU
2radDfvM50BPsF4pYZS2
=WmTi
-----END PGP SIGNATURE-----

--CE+1k2dSO48ffgeK--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#16545; Package emacs. Full text available.

Message received at 16545 <at> debbugs.gnu.org:


Received: (at 16545) by debbugs.gnu.org; 27 Jan 2014 14:30:11 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jan 27 09:30:11 2014
Received: from localhost ([127.0.0.1]:37529 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1W7nCU-0001Ef-Fn
	for submit <at> debbugs.gnu.org; Mon, 27 Jan 2014 09:30:11 -0500
Received: from ironport2-out.teksavvy.com ([206.248.154.181]:49189)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <monnier@HIDDEN>) id 1W7nCI-0001Dp-EI
 for 16545 <at> debbugs.gnu.org; Mon, 27 Jan 2014 09:30:03 -0500
X-IronPort-Anti-Spam-Filtered: true
X-IronPort-Anti-Spam-Result: Av8EABK/CFHO+IO1/2dsb2JhbABEuzWDWRdzgh4BAQQBViMFCws0EhQYDSSIHgbBLZEKA4hhnBmBXoMV
X-IPAS-Result: Av8EABK/CFHO+IO1/2dsb2JhbABEuzWDWRdzgh4BAQQBViMFCws0EhQYDSSIHgbBLZEKA4hhnBmBXoMV
X-IronPort-AV: E=Sophos;i="4.84,565,1355115600"; d="scan'208";a="46153607"
Received: from 206-248-131-181.dsl.teksavvy.com (HELO pastel.home)
 ([206.248.131.181])
 by ironport2-out.teksavvy.com with ESMTP/TLS/ADH-AES256-SHA;
 27 Jan 2014 09:29:57 -0500
Received: by pastel.home (Postfix, from userid 20848)
 id 709CC60467; Mon, 27 Jan 2014 09:29:57 -0500 (EST)
From: Stefan Monnier <monnier@HIDDEN>
To: Chow Loong Jin <hyperair@HIDDEN>
Subject: Re: bug#16545: 24.3.50;
 Patch to coalesce calls to linum-update-current
Message-ID: <jwv61p5h5el.fsf-monnier+emacsbugs@HIDDEN>
References: <20140125075737.GA1843@thinkpwn>
 <dt38kbmtfi.fsf@HIDDEN> <20140127044038.GA10870@HIDDEN>
Date: Mon, 27 Jan 2014 09:29:57 -0500
In-Reply-To: <20140127044038.GA10870@HIDDEN> (Chow Loong Jin's message of
 "Mon, 27 Jan 2014 12:40:38 +0800")
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/24.3.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.3 (/)
X-Debbugs-Envelope-To: 16545
Cc: Glenn Morris <rgm@HIDDEN>, 16545 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.3 (/)

> P.S. I hope nlinum.el in its current state does not replace
> linum.el -- neither global-nlinum-mode nor nlinum-relative seem to
> exist for this just yet.

nlinum.el in the `elpa' branch does include global-nlinum-mode (it was
trivial to define).

But indeed there's no nlinum-relative.  Not sure how best to implement it.


        Stefan




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#16545; Package emacs. Full text available.

Message received at 16545 <at> debbugs.gnu.org:


Received: (at 16545) by debbugs.gnu.org; 27 Jan 2014 04:40:47 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Jan 26 23:40:47 2014
Received: from localhost ([127.0.0.1]:37124 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1W7e06-0000j4-Nh
	for submit <at> debbugs.gnu.org; Sun, 26 Jan 2014 23:40:47 -0500
Received: from mail-pb0-f41.google.com ([209.85.160.41]:38065)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <hyperair@HIDDEN>) id 1W7e03-0000ir-Ff
 for 16545 <at> debbugs.gnu.org; Sun, 26 Jan 2014 23:40:44 -0500
Received: by mail-pb0-f41.google.com with SMTP id up15so5409716pbc.14
 for <16545 <at> debbugs.gnu.org>; Sun, 26 Jan 2014 20:40:42 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
 h=sender:date:from:to:cc:subject:message-id:references:mime-version
 :content-type:content-disposition:in-reply-to:user-agent;
 bh=i/Nna0mmJQJ8I7gtWL7TN+00N6eB4WCj36XCCpTU5KY=;
 b=yU6vY9dij9/wKeJc+rVHxIW7ALfk5YHupyPp3WWgbSqZEqqHCjWfz9ZhWF4V3x3ydD
 XPtBWkveNpECQiNsspvMQmr7lShTVl3ukXVk2Es4alTVa/0OikYi/wKI56dJfHv+mTRd
 HahzJT31EWtS/EJWIGjO3AQbgsNxWuBLP+z/u6uM7Kw7Vb2CUS10AvqbO3tu4+fQSZPm
 2oC5596dLUwyQQO8C8biTfI4sqV+6xOIHcKBT8MrepuuEXC711Wq2hZ63uc7Q5P85oKZ
 xZ1hyfHoCdjDt4wkCGIp43MxyaFtJhPlm52CpAEYFTzdvfrW48NLNmFBxwHb9LjhDx8J
 9DoQ==
X-Received: by 10.68.197.40 with SMTP id ir8mr1345835pbc.138.1390797642273;
 Sun, 26 Jan 2014 20:40:42 -0800 (PST)
Received: from gmail.com (nat-pool-sin-t.redhat.com. [209.132.188.18])
 by mx.google.com with ESMTPSA id sy2sm27471885pbc.28.2014.01.26.20.40.40
 for <multiple recipients>
 (version=TLSv1.2 cipher=RC4-SHA bits=128/128);
 Sun, 26 Jan 2014 20:40:41 -0800 (PST)
Date: Mon, 27 Jan 2014 12:40:38 +0800
From: Chow Loong Jin <hyperair@HIDDEN>
To: Glenn Morris <rgm@HIDDEN>
Subject: Re: bug#16545: 24.3.50; Patch to coalesce calls to
 linum-update-current
Message-ID: <20140127044038.GA10870@HIDDEN>
References: <20140125075737.GA1843@thinkpwn> <dt38kbmtfi.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; micalg=pgp-sha1;
 protocol="application/pgp-signature"; boundary="cNdxnHkX5QqsyA0e"
Content-Disposition: inline
In-Reply-To: <dt38kbmtfi.fsf@HIDDEN>
User-Agent: Mutt/1.5.21 (2010-09-15)
X-Spam-Score: 2.1 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has
 identified this incoming email as possible spam.  The original message
 has been attached to this so you can view it (if it isn't spam) or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  On Sat, Jan 25, 2014 at 08:18:57PM -0500, Glenn Morris wrote:
 > > Thanks for the patch. > The usual answer to anything involving linum.el
 is to try nlinum.el from > GNU ELPA instead (it's hoped this will replace
 linum.el one day). > Does nlinum.el have the same issue? [...] 
 Content analysis details:   (2.1 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 2.8 FSL_HELO_FAKE          FSL_HELO_FAKE
 0.0 FREEMAIL_FROM Sender email is commonly abused enduser mail provider
 (hyperair[at]gmail.com)
 -0.7 RCVD_IN_DNSWL_LOW      RBL: Sender listed at http://www.dnswl.org/, low
 trust [209.85.160.41 listed in list.dnswl.org]
 -0.0 SPF_PASS               SPF: sender matches SPF record
 0.0 T_DKIM_INVALID         DKIM-Signature header exists but is not valid
X-Debbugs-Envelope-To: 16545
Cc: 16545 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 2.1 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org", has
 identified this incoming email as possible spam.  The original message
 has been attached to this so you can view it (if it isn't spam) or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  On Sat, Jan 25, 2014 at 08:18:57PM -0500, Glenn Morris wrote:
    > > Thanks for the patch. > The usual answer to anything involving linum.el
    is to try nlinum.el from > GNU ELPA instead (it's hoped this will replace
    linum.el one day). > Does nlinum.el have the same issue? [...] 
 
 Content analysis details:   (2.1 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.7 RCVD_IN_DNSWL_LOW      RBL: Sender listed at http://www.dnswl.org/, low
                             trust
                             [209.85.160.41 listed in list.dnswl.org]
  2.8 FSL_HELO_FAKE          FSL_HELO_FAKE
  0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail provider
                             (hyperair[at]gmail.com)
 -0.0 SPF_PASS               SPF: sender matches SPF record
  0.0 T_DKIM_INVALID         DKIM-Signature header exists but is not valid


--cNdxnHkX5QqsyA0e
Content-Type: text/plain; charset=us-ascii
Content-Disposition: inline
Content-Transfer-Encoding: quoted-printable

On Sat, Jan 25, 2014 at 08:18:57PM -0500, Glenn Morris wrote:
>=20
> Thanks for the patch.
> The usual answer to anything involving linum.el is to try nlinum.el from
> GNU ELPA instead (it's hoped this will replace linum.el one day).
> Does nlinum.el have the same issue?

Not sure, I was only able to reproduce the issue when using linum-relative.=
el,
as that made the linum updates slower, and I've since upgraded my machine.

Looking at the source of nlinum.el, though, it doesn't delay the updates li=
ke
linum.el does, so updates to the line numbering is unlikely to lag. Instead=
, it
just makes the entire Emacs instance lag.


P.S. I hope nlinum.el in its current state does not replace linum.el -- nei=
ther
global-nlinum-mode nor nlinum-relative seem to exist for this just yet.

--=20
Kind regards,
Loong Jin

--cNdxnHkX5QqsyA0e
Content-Type: application/pgp-signature; name="signature.asc"
Content-Description: Digital signature

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.14 (GNU/Linux)

iQIcBAEBAgAGBQJS5eNFAAoJEPvVIltYh1Khd4wQAJBuylCOVJzAfReRHtLMD//I
3InBgDUxI7so1VBNlz6ozZ7Hmksk+H9U7w8jp/05PIlAG1PsgZ8vwrfifeZaAv73
AaxphqPfL5+aN7GgzxLyYJUcXBSKXbLdm2lzo7XZ8KXg6de+YVTsdL8JKEiywmUL
nhgaOYYiRwLgYZl5trk5f4Irrvp+6Td+Bbv9p9uZVESg95y9PkAGIbqWhN/d9WwK
0lzfLYuvghpGo0ksMgV+0wnR9ib3qKyiT2cw7E5m3VPFo1VBlQHa95etueP16Owv
/T6oLred7Ykdm/MCvnAj2bvgWtsa2yK4+jvlRvjWEUaQore4tnydquJfupZPRf4b
lmhMYFncCY4mMhT50liiC4+oJilYbmxgTm//iTjV1SSAJmidwoKd5NauSMq5ZUPZ
rFo95Cog58sk7zT24T0cvMF9uk/8nGGt5C/2xMNtzMHdQlcYlYgZIZkd0x1+3fev
4BwsdOoF2PHe6B1aV10OIB125Q0quuGkg8H4heOK1LZk0AHEFYmLf5bv5AyCxfOJ
pVvPZbwtsOmiEWBYkIsUzEas9U29ZoG1AoBtPnuzWHAHSxBN0VQP57zWEM/Qc6zk
X4VfjFza7o2/VrqHy3VWbUDpJqeFt8Bw00LlyHvusBGpaM4rmYFcgsP4BC7czkKt
W3vMqOW40RRNhgEGgPsJ
=7WuP
-----END PGP SIGNATURE-----

--cNdxnHkX5QqsyA0e--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#16545; Package emacs. Full text available.

Message received at 16545 <at> debbugs.gnu.org:


Received: (at 16545) by debbugs.gnu.org; 26 Jan 2014 01:19:01 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Jan 25 20:19:01 2014
Received: from localhost ([127.0.0.1]:36013 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1W7ENI-0001hn-VA
	for submit <at> debbugs.gnu.org; Sat, 25 Jan 2014 20:19:01 -0500
Received: from fencepost.gnu.org ([208.118.235.10]:52583)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <rgm@HIDDEN>) id 1W7ENG-0001hf-Lw
 for 16545 <at> debbugs.gnu.org; Sat, 25 Jan 2014 20:18:58 -0500
Received: from rgm by fencepost.gnu.org with local (Exim 4.71)
 (envelope-from <rgm@HIDDEN>)
 id 1W7ENF-0005PH-TN; Sat, 25 Jan 2014 20:18:57 -0500
From: Glenn Morris <rgm@HIDDEN>
To: Chow Loong Jin <hyperair@HIDDEN>
Subject: Re: bug#16545: 24.3.50;
 Patch to coalesce calls to linum-update-current
References: <20140125075737.GA1843@thinkpwn>
X-Spook: Aldergrove Abbas Guantanamo CDMA Nazi FTS2000 Saddam
X-Ran: 98z.>/&tyAq'PVz,I."_)htN[](T]M=l{,7=YMc?jlbLNxRRaMI8oQasm@$oe=QfM,}x)C
X-Hue: blue
X-Debbugs-No-Ack: yes
X-Attribution: GM
Date: Sat, 25 Jan 2014 20:18:57 -0500
In-Reply-To: <20140125075737.GA1843@thinkpwn> (Chow Loong Jin's message of
 "Sat, 25 Jan 2014 15:57:40 +0800")
Message-ID: <dt38kbmtfi.fsf@HIDDEN>
User-Agent: Gnus (www.gnus.org), GNU Emacs (www.gnu.org/software/emacs/)
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
X-Spam-Score: -5.6 (-----)
X-Debbugs-Envelope-To: 16545
Cc: 16545 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.6 (-----)


Thanks for the patch.
The usual answer to anything involving linum.el is to try nlinum.el from
GNU ELPA instead (it's hoped this will replace linum.el one day).
Does nlinum.el have the same issue?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#16545; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 25 Jan 2014 07:58:19 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Jan 25 02:58:19 2014
Received: from localhost ([127.0.0.1]:35042 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1W6y8A-0007U5-82
	for submit <at> debbugs.gnu.org; Sat, 25 Jan 2014 02:58:18 -0500
Received: from eggs.gnu.org ([208.118.235.92]:55891)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <hyperair@HIDDEN>) id 1W6y85-0007Tu-9R
 for submit <at> debbugs.gnu.org; Sat, 25 Jan 2014 02:58:14 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <hyperair@HIDDEN>) id 1W6y7w-00050D-II
 for submit <at> debbugs.gnu.org; Sat, 25 Jan 2014 02:58:12 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50,FREEMAIL_FROM,
 T_DKIM_INVALID autolearn=disabled version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:42014)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <hyperair@HIDDEN>) id 1W6y7w-000509-Ep
 for submit <at> debbugs.gnu.org; Sat, 25 Jan 2014 02:58:04 -0500
Received: from eggs.gnu.org ([2001:4830:134:3::10]:57581)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <hyperair@HIDDEN>) id 1W6y7n-0002Sr-VD
 for bug-gnu-emacs@HIDDEN; Sat, 25 Jan 2014 02:58:04 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <hyperair@HIDDEN>) id 1W6y7f-0004yO-Hn
 for bug-gnu-emacs@HIDDEN; Sat, 25 Jan 2014 02:57:55 -0500
Received: from mail-pa0-x22e.google.com ([2607:f8b0:400e:c03::22e]:47231)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <hyperair@HIDDEN>) id 1W6y7f-0004yE-6s
 for bug-gnu-emacs@HIDDEN; Sat, 25 Jan 2014 02:57:47 -0500
Received: by mail-pa0-f46.google.com with SMTP id rd3so4103935pab.19
 for <bug-gnu-emacs@HIDDEN>; Fri, 24 Jan 2014 23:57:45 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
 h=sender:date:from:to:subject:message-id:mime-version:content-type
 :content-disposition:user-agent;
 bh=sP5KVcYmRUh7FuZ9gKar19xW3AIFb2Ctg5+GEnxkI7c=;
 b=ZT2C0DLwn8lZsgRAvJRsxfgEnuqpYU/kcn+Ds8bkaP3XbYl6y+u+14krxWMz6YZDE2
 sLcawgw2UzO72HemU3ajS085mZFmFNVIXo8FsqzcRTAZR3XiCTpFzB57pZHtpj7Yv7qG
 q4vOVNUcPsbY3Y2joqhZI+34GTg+BJMDiCV2HCuM8fQiOVRxVBo0EHJ5Ttuef8ODJ5Bq
 FUEQ6WjMIiXgQNrXEgvYMh58yO7Kwn/gdHLzW20WzrnHgBZ8FmYIRWo5+iJMJjIcm9ap
 bWQn7lSYYkgfdC5JJFbgJpQBKJjJPvv+t8uRClWWISAxtyBnhU12Bl7xwg7uH1dgaLHk
 p+nQ==
X-Received: by 10.69.20.11 with SMTP id gy11mr18855758pbd.64.1390636665108;
 Fri, 24 Jan 2014 23:57:45 -0800 (PST)
Received: from thinkpwn ([175.156.234.201])
 by mx.google.com with ESMTPSA id jn12sm10273719pbd.37.2014.01.24.23.57.42
 for <bug-gnu-emacs@HIDDEN>
 (version=TLSv1.2 cipher=RC4-SHA bits=128/128);
 Fri, 24 Jan 2014 23:57:43 -0800 (PST)
Date: Sat, 25 Jan 2014 15:57:40 +0800
From: Chow Loong Jin <hyperair@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Subject: 24.3.50; Patch to coalesce calls to linum-update-current
Message-ID: <20140125075737.GA1843@thinkpwn>
MIME-Version: 1.0
Content-Type: multipart/signed; micalg=pgp-sha1;
 protocol="application/pgp-signature"; boundary="eJnRUKwClWJh1Khz"
Content-Disposition: inline
User-Agent: Mutt/1.5.21 (2010-09-15)
X-detected-operating-system: by eggs.gnu.org: Error: Malformed IPv6 address
 (bad octet value).
X-detected-operating-system: by eggs.gnu.org: Error: Malformed IPv6 address
 (bad octet value).
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -4.0 (----)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -4.0 (----)


--eJnRUKwClWJh1Khz
Content-Type: multipart/mixed; boundary="opJtzjQTFsWo+cga"
Content-Disposition: inline


--opJtzjQTFsWo+cga
Content-Type: text/plain; charset=us-ascii
Content-Disposition: inline

When navigating using C-n/C-p with a high key repeat rate, causing
linum-schedule to be called many times in quick succession,
linum-update-current gets called as many times in linum-schedule,
eventhough one call per round should be enough to renumber the lines.

This patch adds a linum-delay-seconds option defaulting to 10ms to delay
the call to linum-update-current, thus coalescing all calls to
linum-update-current until Emacs settles for 10ms.

--
Kind regards,
Loong Jin

--opJtzjQTFsWo+cga
Content-Type: text/x-diff; charset=us-ascii
Content-Disposition: attachment; filename="0001-Add-customization-option-to-delay-linum-updates.patch"
Content-Transfer-Encoding: quoted-printable

=46rom 13a9fde7a9b0a4f7a40e6d5e9ce3447bbfed777b Mon Sep 17 00:00:00 2001
=46rom: Chow Loong Jin <hyperair@HIDDEN>
Date: Fri, 24 Jan 2014 09:47:19 +0800
Subject: [PATCH] Add customization option to delay linum updates

When linum-schedule is called many times in quick succession, delay
the update by linum-delay-seconds, and coalesce all calls to
linum-update-current to avoid useless repeated calls.

Signed-off-by: Chow Loong Jin <hyperair@HIDDEN>
---
 lisp/linum.el | 12 +++++++++++-
 1 file changed, 11 insertions(+), 1 deletion(-)

diff --git a/lisp/linum.el b/lisp/linum.el
index d91ce11..50759b5 100644
--- a/lisp/linum.el
+++ b/lisp/linum.el
@@ -37,6 +37,7 @@
 (defvar linum-available nil "Overlays available for reuse.")
 (defvar linum-before-numbering-hook nil
   "Functions run in each buffer before line numbering starts.")
+(defvar linum-timer-object nil "Timer object for use with ilnum-delay")
=20
 (mapc #'make-variable-buffer-local '(linum-overlays linum-available))
=20
@@ -71,6 +72,10 @@ and you have to scroll or press \\[recenter-top-bottom] =
to update the numbers."
   "Delay updates to give Emacs a chance for other changes."
   :group 'linum
   :type 'boolean)
+(defcustom linum-delay-seconds 0.01
+  "Number of seconds to delay before running linum-update-window"
+  :group 'linum
+  :type 'floatp)
=20
 ;;;###autoload
 (define-minor-mode linum-mode
@@ -195,7 +200,12 @@ Linum mode is a buffer-local minor mode."
=20
 (defun linum-schedule ()
   ;; schedule an update; the delay gives Emacs a chance for display changes
-  (run-with-idle-timer 0 nil #'linum-update-current))
+  (if linum-timer-object
+      (cancel-timer linum-timer-object))
+  (setq linum-timer-object
+        (run-with-timer linum-delay-seconds
+                        nil
+                        #'linum-update-current)))
=20
 ;; (defun linum-after-config ()
 ;;   (walk-windows (lambda (w) (linum-update (window-buffer w))) nil 'visi=
ble))
--=20
1.8.3.2


--opJtzjQTFsWo+cga--

--eJnRUKwClWJh1Khz
Content-Type: application/pgp-signature; name="signature.asc"
Content-Description: Digital signature

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.14 (GNU/Linux)

iQIcBAEBAgAGBQJS425xAAoJEPvVIltYh1KhNOgP/3ws1NC8hjrZ+CphD8aQ+gOM
sCwvmAWLH0o4YBC7QqQUfBgbNo3HKlf5z2UeCJdI0ffog0J4XzlcWsJNGKthWgDF
BAHmNnryiULES+XcaQa7zKCag3xAP5TVoCY3iVUUUahx1ivgQTC5y1QaxsjAN6o3
c+mOUHdGVnki6IYG0YUbyl3U0B/0T7Bc5r0Jqtv8Tcsd+YemvuPA1D8b6gtVvYwR
QuseDpH7PHoH/Aa1jVfbAYllMGkzf8lDEmbz8hAMdrbWLErS/NMXbBu5aNzRa9pw
ugddVBvxJ03Cc+bTrkUoKDxmgApfoFnEJuipdzk9lHaPzTsBTYyuRbClQHtmLAHr
toDHuCZvWgWVOM1x+Ga1fwJ+8YVLsXjLG25xwHX2A/7k0yl5aSUxVxiVXj5m/wkY
vo9u6PC0ob0DRTwaGwMopQxNr6FOMMk5kdFQNOvsHKKgpjERu/t5pODd03CgFYHp
5PfXf8LmZDq/TotMaNqTIRXnUq1hU8EOMKUvsGD9ij3lBRctpTI2QepJ/2m1Bg5f
QGNH4vmykqJ4L6XYGBg1vmQ5BHOgR+ha1aEsL0dhx5qy2Ah/e91FCEg8+zT2KBiW
3lj5xIQ6zbsyw1IgUs86ZO5MpG8HjEweqko99P/SHVujU+Mr+cvU/7AOFNWqaNsq
7WwKgBk9MYMrkiK+T8Nr
=wCWE
-----END PGP SIGNATURE-----

--eJnRUKwClWJh1Khz--




Acknowledgement sent to Chow Loong Jin <hyperair@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#16545; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Fri, 31 Oct 2014 17:00:04 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.